{% macro download(repo, package) %}
{% if repo == "google" %}
<a href="https://play.google.com/store/apps/details?id={{ package }}"><img src="{{ get_url(path="/repositories/google.png") }}"></a>
{% elif repo == "fdroid" %}
<a href="https://f-droid.org/en/packages/{{ package }}"><img src="{{ get_url(path="/repositories/fdroid.png") }}"></a>
{% elif repo == "apple" %}
<a href="https://itunes.apple.com/app/us/app/{{ package }}"><img src="{{ get_url(path="/repositories/apple.png") }}"></a>
{% elif repo == "guix" %}
<img src="{{ get_url(path="/repositories/guix.png") }}">
<blockquote>guix install dino</blockquote>
{% elif repo == "nix" %}
<img src="{{ get_url(path="/repositories/nix.png") }}">
<blockquote>nix-env --install dino</blockquote>
{% elif repo == "chocolatey" %}
<a href="https://chocolatey.org/packages/{{ package }}"><img src="{{ get_url(path="/repositories/chocolatey.png") }}"></a>
<blockquote>choco install gajim</blockquote>
{% elif repo == "custom" %}
<a class="button" href="{{ package }}">{{ widgets::t(key="customsetup") }}</a>
{% endif %}
{% endmacro download %}

{% macro button(link, icon="", text) %}
<a class="button" href="{{ link }}">{% if icon %}
    <img src="{{ get_url(path="/openiconic/png/"~icon~"-4x.png") }}">
    <span>{{ text }}</span>
{% else %}
{{ text }}
{% endif %}
</a>
{% endmacro %}
